3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php echo escapeshellcmd('openssl -param "val" -param "val"');
Output for 4.3.3 - 5.3.29, 5.4.1 - 5.6.28, hhvm-3.10.0 - 3.13.2, 7.0.0 - 7.1.0
openssl -param "val" -param "val"
Output for 5.4.0
openssl -param val -param val
Output for 4.3.0 - 4.3.2
openssl -param \"val\" -param \"val\"